PUT /api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/accountLineItem

Manage calculated bill account line items The order of items in the list defines the calculation order All line items to save should be passed If a line currently exists and is not passed in it will be deleted If any part of the create, update, or delete process fails, the entire process is rolled back

ManageAccountLineItemsV3 Permissions: Chargebacks (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId ID of the account to receive calculated bill details integer (int32) Required
meterId ID of the meter to receive calculated bill details integer (int32) Required
versionId ID of the calculated bill distribution version integer (int32) Required

Request Body

Array of:

GenericBodylineRequest
Property Description Type
calculationType The calculation type for the line item One of ‘Fixed’, ‘Percentage’, ‘Subtotal’ Required (defined) string
caption The caption Must be between 0 and 100 characters Required when CalculationType is set to Fixed, or Percentage, or Subtotal string
observationTypeId The observation type For account body lines the observation type must be a charge type Required when CalculationType is set to Fixed, or Percentage integer (int32)
value The bodyline’s value When CalculationType is Fixed. Precision max is 2 When CalculationType is Percentage. Precision max is 8 Required when CalculationType is set to Fixed, or Percentage number (double)
Example Request Body application/json
[
  {    "calculationType": "string",    "caption": "string",    "observationTypeId": 1,    "value": 1.0
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GenericBodylineResponse
Property Description Type
calculationType The calculation type for the line item. Either “Fixed”, “Percentage”, or “Subtotal” string
caption The caption string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value The bodyline’s value number (double)
Example Response application/json
[
  {    "calculationType": "string",    "caption": "string",    "observationType": {      "credit": 1,      "nounCode": "string",      "nounId": 1,      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "value": 1.0
  }
]